Personal Gentoo overlay, focusing mostly on needed tools and
compatibility for a libre version of Gentoo on the Librem 14 computer. A
handful of other pacakages are also provided.

Linux-libre and Librem-related packages:
 - **sys-kernel/libre-kernel**: A dist-kernel built from the [Linux-libre
   sources][linux-libre].
 - **media-fonts/fonts-meta**: Modified version to remove non-Free
   fonts from the dependencies.
 - **sys-kernel/librem-ec-acpi**: An ebuild packaging the [Librem 14
    EC ACPI kernel module][ec-acpi], necessary for proper functioning
	of the laptop's battery charging and function keys.
 * **sys-power/librem-control**: A GTK application to control
   parameters of the Librem EC (battery charge levels, etc).
 * **sys-apps/purism_ectool**: Tool for querying and flashing
   Purism EC firmware images on certain Librem laptops.v

Other Packages:
  - **x11-misc/input-leap**: Updated ebuild of input-leap
    (Barrier/Synergy virtual KVM switch fork) that supports Wayland via
    `libei`.

## How to Add This Repository

Using eselect-repository:

```
# eselect repository add projectmoon git https://git.agnos.is/projectmoon/projectmoon-overlay
```

It usually a best practice to mask packages from overlays, except the ones you want:

In `/etc/portage/package.mask`:
```
*/*::projectmoon
```

Individual packages can be unmasked (and added to
`package.accept_keywords` if necessary). For instructions on unmasking
individual packages, see the relevant documentation below.

## The Linux-libre dist-kernel

*See [docs/Libre-Kernel.md](docs/Libre-Kernel.md).*

This overlay provides a dist-kernel (based on
`sys-kernel/vanilla-kernel`) using the Linux-libre kernel sources, and
an accompanying updated version of `virtual/dist-kernel`. It is
maintained and tested for my personal use on amd64. The Linux-libre
kernel removes the ability for the Linux kernel to load firmware that is
not [Free Software][free-software]. The ebuild roughly follows the
current stable gentoo-kernel for amd64.

## Purism Librem Computer Packages

*See [docs/Librem.md](docs/Librem.md).*

This overlay contains packages for Purism's Librem computers, focusing
mostly on the Librem 14.

## Input Leap

*See [docs/Input-Leap.md](docs/Input-Leap.md)*

This overlay contains a working, updated ebuild for Input Leap, a fork
of Barrier (itself a fork of Synergy), which is a "virtual KVM switch",
allowing you to share a keyboard and mouse between several computers
over the network.

The most important things about Input Leap:

 - It is Maintained.
 - It supports Wayland.

## Other Packages

*More documentation coming soon.*

Packages must be unmasked and added to `package.accept_keywords` as
necessary.

# Disclaimer

The ebuilds in this overlay are really only tested for my specific
use-case. I do not test every combination of USE flags, for example.
So there may be issues with non-Free dependencies etc in some cases.

[linux-libre]: https://www.fsfla.org/ikiwiki/selibre/linux-libre/
[free-software]: https://www.gnu.org/philosophy/free-sw.en.html#fs-definition
[ec-acpi]: https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms
[ec-instructions]: https://puri.sm/projects/librem-ec/
[ff-pwas]: https://github.com/filips123/PWAsForFirefox
