# Packages for Purism Librem Computers

This overlay provides a handful of ebuilds for Purism Librem computers (particularly, the Librem 14):
 - **sys-kernel/librem-ec-acpi**: An ebuild packaging the [Librem 14
    EC ACPI kernel module][ec-acpi], necessary for proper functioning
	of the laptop's battery charging and function keys.
 * **sys-power/librem-control**: A GTK application to control
   parameters of the Librem EC (battery charge levels, etc).
 * **sys-apps/purism_ectool**: Tool for querying and flashing
   Purism EC firmware images on certain Librem laptops.

## Quick Setup

This is a quick guide for setting up the system to properly install
Librem-related packages. It assumes you have set up the overlay as
described in the README.

In `/etc/portage/package.unmask`:

```
sys-kernel/librem-ec-acpi::projectmoone
sys-apps/purism_ectool::projectmoon
sys-power/librem-control::projectmoon
```

In `/etc/portage/package.accept_keywords`:

```
sys-kernel/librem-ec-acpi::projectmoon
sys-apps/purism_ectool::projectmoon
sys-power/librem-control::projectmoon **
```

## The Librem EC ACPI kernel module

The Librem EC ACPI kernel module should install and be automatically
available (via modprobe) after installation, using `emerge
sys-kernel/librem-ec-acpi`. The module is currently installed to
`/lib/modules/<kernel>/librem/`.

This ebuild supports the `dist-kernel` USE flag, and the module will
automatically be rebuilt when installing a new dist-kernel if that
flag is enabled.

If you are not using a dist-kernel, you will need to do `emerge
@modules-rebuild` to install the module after you upgrade or install a
new kernel.

### Librem Control and the Purism EC Tool

These two appliations can be used to manipulate device-specific
features of the Librem 14, including the flashing of firmware images.
It is not recommended to use the EC tool from this overlay for
flashing a firmware image. Instead, follow the official [firmware
flashing instrutions][ec-instructions].

[ec-acpi]: https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms
[ec-instructions]: https://puri.sm/projects/librem-ec/
