How to create new version of the Firefox PWA Connector:

- Check Firefox PWA repo for new version.
- Pull latest changes of repo and check out proper tag.
- Run `cargo vendor` in the repo, under the `native/` directory.
- Create tarball of vendored cargo deps: `tar -czvf vendor-X.Y.Z.tar.gz vendor/`.
- Move vendor tarball to the overlay files repo under `www-plugins/firefox-pwa-connector`.
- Push vendored tarball for new version.
- Copy over ebuild to new version.
- Check the Cargo.toml of the connector for any new git deps, and add to
  the git crates if necessary. Cargo.lock can be checked to find the
  proper commit hashes.
- Check repo Makefile.toml for any new installation instructions for the
  Linux target. Replicate in `src_install` phase.
